Skip to content

List a flat non-snapshot retained Files baseline

GET/v1/files/baseline

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

workplaceId*string
Format:uuid
after?string
Format:uuid
limit?integer
Range:1 <= value <= 100

Response Body

application/json

curl -X GET "https://example.com/v1/files/baseline?workplaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "entries": [
    {
      "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
      "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",
      "kind": "file",
      "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
      "name": "string",
      "version": "8b898373-21c7-4028-b85f-cc5068e68df9",
      "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
      "changedAt": "2019-08-24T14:15:22Z",
      "reference": "string",
      "trashedAt": "2019-08-24T14:15:22Z",
      "trashExpiresAt": "2019-08-24T14:15:22Z",
      "clearingHistory": true
    }
  ],
  "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"
}